<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getProduct](./bitburner.warehouseapi.getproduct.md)

## WarehouseAPI.getProduct() method

Get product data

<b>Signature:</b>

```typescript
getProduct(divisionName: string, productName: string): Product;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  productName | string | Name of the product |

<b>Returns:</b>

[Product](./bitburner.product.md)

product data

